View Issue Details

IDProjectCategoryView StatusLast Update
0000038VitalPBX[All Projects] Bugpublic2018-01-25 22:09
ReporterNeoAnthonyAssigned Tomrivera 
PriorityhighSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformVitalPBXOSCentosOS Version7
Product Version2.0.0-2b 
Target VersionFixed in Version2.0.0-3b 
Summary0000038: Creating a PJSIP device in Hot Desking prompts Channel Error.
DescriptionWhen trying to create a PJSIP device as a Hot Desking Device I get an error saying Channel is needed. I think it may be referring to the FXS form by mistake.
Steps To ReproduceGo to PBX>Extensions>Hot Desking and try to create a PJSIP Device and press save. An error saying that '• Channel is required' will appear.
TagsDevice, Hot Desking, PJSIP, Save

Activities

mrivera

2018-01-11 22:10

administrator   ~0000030

The issue happens on servers with no dahdi hardware installed like VirtualMachines or Cloud Servers

NeoAnthony

2018-01-12 01:16

reporter   ~0000033

Tested and happening on a server with 4 E1s active.

mrivera

2018-01-12 15:59

administrator   ~0000037

Just to clarify, It happens when there are no FXS channels on your dahdi hardware

mrivera

2018-01-15 17:30

administrator   ~0000042

FXS channel dropdown is not required anymore when technology is PJSIP

mrivera

2018-01-25 22:09

administrator   ~0000067

Fixed up in third beta release

Issue History

Date Modified Username Field Change
2018-01-11 16:16 NeoAnthony New Issue
2018-01-11 16:16 NeoAnthony Status new => assigned
2018-01-11 16:16 NeoAnthony Assigned To => mrivera
2018-01-11 16:16 NeoAnthony Tag Attached: Device
2018-01-11 16:16 NeoAnthony Tag Attached: Hot Desking
2018-01-11 16:16 NeoAnthony Tag Attached: PJSIP
2018-01-11 16:16 NeoAnthony Tag Attached: Save
2018-01-11 22:10 mrivera Status assigned => confirmed
2018-01-11 22:10 mrivera Note Added: 0000030
2018-01-12 01:16 NeoAnthony Note Added: 0000033
2018-01-12 15:59 mrivera Note Added: 0000037
2018-01-15 17:30 mrivera Status confirmed => resolved
2018-01-15 17:30 mrivera Resolution open => fixed
2018-01-15 17:30 mrivera Fixed in Version => 2.0.0-3b
2018-01-15 17:30 mrivera Note Added: 0000042
2018-01-25 22:09 mrivera Note Added: 0000067
2018-01-25 22:09 mrivera Status resolved => closed